Public Class frmERS

    Public id, progId, progName, datetime, testsystem, type, mail, maId, userName, firma, errorCode, errStack, errMessage, errMethodName, progVersion



    Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub


    Private Sub frmERS_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        lblProgramm.Text = progId & " - " & progName & IIf(progVersion <> "", " (" & progVersion & ")", "")
        lblFirma.Text = IIf(firma IsNot DBNull.Value, firma, "")
        txtUser.Text = maId & " " & userName
        txtType.Text = type
        txtMethode.Text = errMethodName
        txtDatetime.Text = datetime
        txtMail.Text = mail

        rtferrMsg.Text = errMessage
        rtferrStack.Text = errStack

        If errorCode > 0 Then
            lblErrMsg.Text &= " (Error Code: " & errorCode & ")"
        End If

        If testsystem IsNot Nothing Then
            cbxTestsysten.Checked = testsystem
        End If


    End Sub


End Class